<?xml version="1.0" encoding="utf-8"?>
<!-- XBRL Document Created with WizLabo Platform -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_CompensationIncomeForDamageEI_label" xlink:role="http://www.xbrl.org/2003/role/label">Compensation income for damage</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_CompensationIncomeForDamageEI_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Compensation income for damage-EI</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_CompensationIncomeForDamageOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Compensation income for damage</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_CompensationIncomeForDamageOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Compensation income for damage-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_DirectorsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Directors</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_DirectorsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Directors [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_EnergySolutionReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Energy solution</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_EnergySolutionReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Energy solution, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_FukasawaYujiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Fukasawa, Yuji</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_FukasawaYujiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Fukasawa, Yuji [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_GainOnDerivativesNOI_label" xlink:role="http://www.xbrl.org/2003/role/label">Gain on derivatives</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_GainOnDerivativesNOI_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Gain on derivatives-NOI</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_GainOnValuationOfLongTermLoansReceivableEI_label" xlink:role="http://www.xbrl.org/2003/role/label">Gain on valuation of long-term loans receivable</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_GainOnValuationOfLongTermLoansReceivableEI_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Gain on valuation of long-term loans receivable-EI</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_GlobalBusinessReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Global Business</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_GlobalBusinessReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Global Business, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_HigoTakashiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Higo, Takashi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_HigoTakashiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Higo, Takashi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_IncreaseInTheNumberOfConsolidatedSubsidiaries_label" xlink:role="http://www.xbrl.org/2003/role/label">Increase in the number of consolidated subsidiaries</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_IncreaseInTheNumberOfConsolidatedSubsidiaries_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Increase in the number of consolidated subsidiaries</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_IncreaseResultingFromIncreasingInAffiliatedCompanies_label" xlink:role="http://www.xbrl.org/2003/role/label">Increase resulting from increasing in affiliated companies</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_IncreaseResultingFromIncreasingInAffiliatedCompanies_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Increase resulting from increasing in affiliated companies</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_IndoMamiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Indo, Mami</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_IndoMamiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Indo, Mami [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_KasutaniToshihideMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kasutani, Toshihide</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_KasutaniToshihideMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kasutani, Toshihide [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_KimotoKentaroMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kimoto, Kentaro</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_KimotoKentaroMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kimoto, Kentaro [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_KomatsuYuriyaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Komatsu, Yuriya</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_KomatsuYuriyaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Komatsu, Yuriya [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_LossGainOnValuationOfLongTermLoansReceivableOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Loss (gain) on valuation of long-term loans receivable</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_LossGainOnValuationOfLongTermLoansReceivableOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Loss (gain) on valuation of long-term loans receivable-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_MetricsAndTargetsClimateChangeTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Metrics and targets, Climate change</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_MetricsAndTargetsClimateChangeTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Metrics and targets, Climate change [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_MetricsAndTargetsHumanCapitalTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Metrics and targets, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_MetricsAndTargetsHumanCapitalTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Metrics and targets, Human capital [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_MiningRightsIA_label" xlink:role="http://www.xbrl.org/2003/role/label">Mining rights</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_MiningRightsIA_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Mining rights-IA</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_NetworkReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Network</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_NetworkReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Network, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_NotesRegardingGainOnSalesOfInvestmentSecuritiesTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding gain on sales of investment securities</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_NotesRegardingGainOnSalesOfInvestmentSecuritiesTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding gain on sales of investment securities [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_NotesRegardingLossOnValuationOfInvestmentSecuritiesTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding loss on valuation of investment securities</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_NotesRegardingLossOnValuationOfInvestmentSecuritiesTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding loss on valuation of investment securities [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_OgawaShinsukeMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Ogawa, Shinsuke</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_OgawaShinsukeMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Ogawa, Shinsuke [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_OnoHiromichiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Ono, Hiromichi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_OnoHiromichiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Ono, Hiromichi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_OtherFixedAssetPPE_label" xlink:role="http://www.xbrl.org/2003/role/label">Other fixed asset</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_OtherFixedAssetPPE_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Other fixed asset-PPE</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_ProceedsFromCompensationForDamageOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Proceeds from compensation for damage</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_ProceedsFromCompensationForDamageOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Proceeds from compensation for damage-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_ProvisionForContractLossInRegardsToApplianceWarrantiesNCL_label" xlink:role="http://www.xbrl.org/2003/role/label">Provision for contract loss in regards to appliance warranties</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_ProvisionForContractLossInRegardsToApplianceWarrantiesNCL_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Provision for contract loss in regards to appliance warranties-NCL</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation2MetricsAndTargetsClimateChange_label" xlink:role="http://www.xbrl.org/2003/role/label">Reference to other information2</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation2MetricsAndTargetsClimateChange_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reference to other information2, Metrics and targets, Climate Change</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation2MetricsAndTargetsHumanCapital_label" xlink:role="http://www.xbrl.org/2003/role/label">Reference to other information2</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation2MetricsAndTargetsHumanCapital_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reference to other information2, Metrics and targets, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation3MetricsAndTargetsHumanCapital_label" xlink:role="http://www.xbrl.org/2003/role/label">Reference to other information3</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation3MetricsAndTargetsHumanCapital_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reference to other information3, Metrics and targets, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_ReferenceToOtherInformationMetricsAndTargetsClimateChange_label" xlink:role="http://www.xbrl.org/2003/role/label">Reference to other information</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_ReferenceToOtherInformationMetricsAndTargetsClimateChange_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reference to other information, Metrics and targets, Climate Change</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_ReferenceToOtherInformationMetricsAndTargetsHumanCapital_label" xlink:role="http://www.xbrl.org/2003/role/label">Reference to other information</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_ReferenceToOtherInformationMetricsAndTargetsHumanCapital_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reference to other information, Metrics and targets, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_SasayamaShinichiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Sasayama, Shinichi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_SasayamaShinichiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Sasayama, Shinichi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_SegmentProfitLossSegmentInformation_label" xlink:role="http://www.xbrl.org/2003/role/label">Segment profit (loss)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_SegmentProfitLossSegmentInformation_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Segment profit (loss), Segment Information</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_SekiguchiHiroyukiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Sekiguchi, Hiroyuki</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_SekiguchiHiroyukiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Sekiguchi, Hiroyuki [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_ShareOfProfitLossOfInvestmentsAccountedForUsingEquityMethod_label" xlink:role="http://www.xbrl.org/2003/role/label">Share of profit (loss) of investments accounted for using equity method</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_ShareOfProfitLossOfInvestmentsAccountedForUsingEquityMethod_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Share of profit (loss) of investments accounted for using equity method</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_StrategyClimateChangeTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Strategy, Climate change</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_StrategyClimateChangeTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Strategy, Climate change [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_StrategyHumanCapitalTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Strategy, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_StrategyHumanCapitalTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Strategy, Human capital [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_TannowaTsutomuMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Tannowa, Tsutomu</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_TannowaTsutomuMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Tannowa, Tsutomu [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_UchidaTakashiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Uchida, Takashi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_UchidaTakashiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Uchida, Takashi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_UrbanDevelopmentBusinessReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Urban development business</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_UrbanDevelopmentBusinessReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Urban development business, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_WorkConsignmentExpensesSGA_label" xlink:role="http://www.xbrl.org/2003/role/label">Work consignment expenses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_WorkConsignmentExpensesSGA_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Work consignment expenses-SGA</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_YamamuraMasayukiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Yamamura, Masayuki</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_YamamuraMasayukiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Yamamura, Masayuki [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_YoshitakaMariMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Yoshitaka, Mari</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04514-000_YoshitakaMariMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Yoshitaka, Mari [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies_label" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">Cumulative effects of changes in accounting policies</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jppfs_cor_RestatedBalance_label" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">Restated balance</link:label>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2024-11-01/jppfs_cor_2024-11-01.xsd#jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:label="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2024-11-01/jppfs_cor_2024-11-01.xsd#jppfs_cor_RestatedBalance" xlink:label="jppfs_cor_RestatedBalance" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_CompensationIncomeForDamageEI" xlink:label="jpcrp030000-asr_E04514-000_CompensationIncomeForDamageEI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_CompensationIncomeForDamageOpeCF" xlink:label="jpcrp030000-asr_E04514-000_CompensationIncomeForDamageOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_DirectorsMember" xlink:label="jpcrp030000-asr_E04514-000_DirectorsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_EnergySolutionReportableSegmentMember" xlink:label="jpcrp030000-asr_E04514-000_EnergySolutionReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_FukasawaYujiMember" xlink:label="jpcrp030000-asr_E04514-000_FukasawaYujiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_GainOnDerivativesNOI" xlink:label="jpcrp030000-asr_E04514-000_GainOnDerivativesNOI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_GainOnValuationOfLongTermLoansReceivableEI" xlink:label="jpcrp030000-asr_E04514-000_GainOnValuationOfLongTermLoansReceivableEI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_GlobalBusinessReportableSegmentMember" xlink:label="jpcrp030000-asr_E04514-000_GlobalBusinessReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_HigoTakashiMember" xlink:label="jpcrp030000-asr_E04514-000_HigoTakashiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_IncreaseInTheNumberOfConsolidatedSubsidiaries" xlink:label="jpcrp030000-asr_E04514-000_IncreaseInTheNumberOfConsolidatedSubsidiaries" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_IncreaseResultingFromIncreasingInAffiliatedCompanies" xlink:label="jpcrp030000-asr_E04514-000_IncreaseResultingFromIncreasingInAffiliatedCompanies" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_IndoMamiMember" xlink:label="jpcrp030000-asr_E04514-000_IndoMamiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_KasutaniToshihideMember" xlink:label="jpcrp030000-asr_E04514-000_KasutaniToshihideMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_KimotoKentaroMember" xlink:label="jpcrp030000-asr_E04514-000_KimotoKentaroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_KomatsuYuriyaMember" xlink:label="jpcrp030000-asr_E04514-000_KomatsuYuriyaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_LossGainOnValuationOfLongTermLoansReceivableOpeCF" xlink:label="jpcrp030000-asr_E04514-000_LossGainOnValuationOfLongTermLoansReceivableOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_MetricsAndTargetsClimateChangeTextBlock" xlink:label="jpcrp030000-asr_E04514-000_MetricsAndTargetsClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_MetricsAndTargetsHumanCapitalTextBlock" xlink:label="jpcrp030000-asr_E04514-000_MetricsAndTargetsHumanCapitalTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_MiningRightsIA" xlink:label="jpcrp030000-asr_E04514-000_MiningRightsIA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_NetworkReportableSegmentMember" xlink:label="jpcrp030000-asr_E04514-000_NetworkReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_NotesRegardingGainOnSalesOfInvestmentSecuritiesTextBlock" xlink:label="jpcrp030000-asr_E04514-000_NotesRegardingGainOnSalesOfInvestmentSecuritiesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_NotesRegardingLossOnValuationOfInvestmentSecuritiesTextBlock" xlink:label="jpcrp030000-asr_E04514-000_NotesRegardingLossOnValuationOfInvestmentSecuritiesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_OgawaShinsukeMember" xlink:label="jpcrp030000-asr_E04514-000_OgawaShinsukeMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_OnoHiromichiMember" xlink:label="jpcrp030000-asr_E04514-000_OnoHiromichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_OtherFixedAssetPPE" xlink:label="jpcrp030000-asr_E04514-000_OtherFixedAssetPPE" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_ProceedsFromCompensationForDamageOpeCF" xlink:label="jpcrp030000-asr_E04514-000_ProceedsFromCompensationForDamageOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_ProvisionForContractLossInRegardsToApplianceWarrantiesNCL" xlink:label="jpcrp030000-asr_E04514-000_ProvisionForContractLossInRegardsToApplianceWarrantiesNCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_ReferenceToOtherInformation2MetricsAndTargetsClimateChange" xlink:label="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation2MetricsAndTargetsClimateChange" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_ReferenceToOtherInformation2MetricsAndTargetsHumanCapital" xlink:label="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation2MetricsAndTargetsHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_ReferenceToOtherInformation3MetricsAndTargetsHumanCapital" xlink:label="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation3MetricsAndTargetsHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_ReferenceToOtherInformationMetricsAndTargetsClimateChange" xlink:label="jpcrp030000-asr_E04514-000_ReferenceToOtherInformationMetricsAndTargetsClimateChange" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_ReferenceToOtherInformationMetricsAndTargetsHumanCapital" xlink:label="jpcrp030000-asr_E04514-000_ReferenceToOtherInformationMetricsAndTargetsHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_SasayamaShinichiMember" xlink:label="jpcrp030000-asr_E04514-000_SasayamaShinichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_SegmentProfitLossSegmentInformation" xlink:label="jpcrp030000-asr_E04514-000_SegmentProfitLossSegmentInformation" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_SekiguchiHiroyukiMember" xlink:label="jpcrp030000-asr_E04514-000_SekiguchiHiroyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_ShareOfProfitLossOfInvestmentsAccountedForUsingEquityMethod" xlink:label="jpcrp030000-asr_E04514-000_ShareOfProfitLossOfInvestmentsAccountedForUsingEquityMethod" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_StrategyClimateChangeTextBlock" xlink:label="jpcrp030000-asr_E04514-000_StrategyClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_StrategyHumanCapitalTextBlock" xlink:label="jpcrp030000-asr_E04514-000_StrategyHumanCapitalTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_TannowaTsutomuMember" xlink:label="jpcrp030000-asr_E04514-000_TannowaTsutomuMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_UchidaTakashiMember" xlink:label="jpcrp030000-asr_E04514-000_UchidaTakashiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_UrbanDevelopmentBusinessReportableSegmentMember" xlink:label="jpcrp030000-asr_E04514-000_UrbanDevelopmentBusinessReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_WorkConsignmentExpensesSGA" xlink:label="jpcrp030000-asr_E04514-000_WorkConsignmentExpensesSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_YamamuraMasayukiMember" xlink:label="jpcrp030000-asr_E04514-000_YamamuraMasayukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04514-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04514-000_YoshitakaMariMember" xlink:label="jpcrp030000-asr_E04514-000_YoshitakaMariMember" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_CompensationIncomeForDamageEI" xlink:to="jpcrp030000-asr_E04514-000_CompensationIncomeForDamageEI_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_CompensationIncomeForDamageEI" xlink:to="jpcrp030000-asr_E04514-000_CompensationIncomeForDamageEI_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_CompensationIncomeForDamageOpeCF" xlink:to="jpcrp030000-asr_E04514-000_CompensationIncomeForDamageOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_CompensationIncomeForDamageOpeCF" xlink:to="jpcrp030000-asr_E04514-000_CompensationIncomeForDamageOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_DirectorsMember" xlink:to="jpcrp030000-asr_E04514-000_DirectorsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_DirectorsMember" xlink:to="jpcrp030000-asr_E04514-000_DirectorsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_EnergySolutionReportableSegmentMember" xlink:to="jpcrp030000-asr_E04514-000_EnergySolutionReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_EnergySolutionReportableSegmentMember" xlink:to="jpcrp030000-asr_E04514-000_EnergySolutionReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_FukasawaYujiMember" xlink:to="jpcrp030000-asr_E04514-000_FukasawaYujiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_FukasawaYujiMember" xlink:to="jpcrp030000-asr_E04514-000_FukasawaYujiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_GainOnDerivativesNOI" xlink:to="jpcrp030000-asr_E04514-000_GainOnDerivativesNOI_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_GainOnDerivativesNOI" xlink:to="jpcrp030000-asr_E04514-000_GainOnDerivativesNOI_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_GainOnValuationOfLongTermLoansReceivableEI" xlink:to="jpcrp030000-asr_E04514-000_GainOnValuationOfLongTermLoansReceivableEI_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_GainOnValuationOfLongTermLoansReceivableEI" xlink:to="jpcrp030000-asr_E04514-000_GainOnValuationOfLongTermLoansReceivableEI_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_GlobalBusinessReportableSegmentMember" xlink:to="jpcrp030000-asr_E04514-000_GlobalBusinessReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_GlobalBusinessReportableSegmentMember" xlink:to="jpcrp030000-asr_E04514-000_GlobalBusinessReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_HigoTakashiMember" xlink:to="jpcrp030000-asr_E04514-000_HigoTakashiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_HigoTakashiMember" xlink:to="jpcrp030000-asr_E04514-000_HigoTakashiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_IncreaseInTheNumberOfConsolidatedSubsidiaries" xlink:to="jpcrp030000-asr_E04514-000_IncreaseInTheNumberOfConsolidatedSubsidiaries_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_IncreaseInTheNumberOfConsolidatedSubsidiaries" xlink:to="jpcrp030000-asr_E04514-000_IncreaseInTheNumberOfConsolidatedSubsidiaries_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_IncreaseResultingFromIncreasingInAffiliatedCompanies" xlink:to="jpcrp030000-asr_E04514-000_IncreaseResultingFromIncreasingInAffiliatedCompanies_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_IncreaseResultingFromIncreasingInAffiliatedCompanies" xlink:to="jpcrp030000-asr_E04514-000_IncreaseResultingFromIncreasingInAffiliatedCompanies_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_IndoMamiMember" xlink:to="jpcrp030000-asr_E04514-000_IndoMamiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_IndoMamiMember" xlink:to="jpcrp030000-asr_E04514-000_IndoMamiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_KasutaniToshihideMember" xlink:to="jpcrp030000-asr_E04514-000_KasutaniToshihideMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_KasutaniToshihideMember" xlink:to="jpcrp030000-asr_E04514-000_KasutaniToshihideMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_KimotoKentaroMember" xlink:to="jpcrp030000-asr_E04514-000_KimotoKentaroMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_KimotoKentaroMember" xlink:to="jpcrp030000-asr_E04514-000_KimotoKentaroMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_KomatsuYuriyaMember" xlink:to="jpcrp030000-asr_E04514-000_KomatsuYuriyaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_KomatsuYuriyaMember" xlink:to="jpcrp030000-asr_E04514-000_KomatsuYuriyaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_LossGainOnValuationOfLongTermLoansReceivableOpeCF" xlink:to="jpcrp030000-asr_E04514-000_LossGainOnValuationOfLongTermLoansReceivableOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_LossGainOnValuationOfLongTermLoansReceivableOpeCF" xlink:to="jpcrp030000-asr_E04514-000_LossGainOnValuationOfLongTermLoansReceivableOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_MetricsAndTargetsClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E04514-000_MetricsAndTargetsClimateChangeTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_MetricsAndTargetsClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E04514-000_MetricsAndTargetsClimateChangeTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_MetricsAndTargetsHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E04514-000_MetricsAndTargetsHumanCapitalTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_MetricsAndTargetsHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E04514-000_MetricsAndTargetsHumanCapitalTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_MiningRightsIA" xlink:to="jpcrp030000-asr_E04514-000_MiningRightsIA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_MiningRightsIA" xlink:to="jpcrp030000-asr_E04514-000_MiningRightsIA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_NetworkReportableSegmentMember" xlink:to="jpcrp030000-asr_E04514-000_NetworkReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_NetworkReportableSegmentMember" xlink:to="jpcrp030000-asr_E04514-000_NetworkReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_NotesRegardingGainOnSalesOfInvestmentSecuritiesTextBlock" xlink:to="jpcrp030000-asr_E04514-000_NotesRegardingGainOnSalesOfInvestmentSecuritiesTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_NotesRegardingGainOnSalesOfInvestmentSecuritiesTextBlock" xlink:to="jpcrp030000-asr_E04514-000_NotesRegardingGainOnSalesOfInvestmentSecuritiesTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_NotesRegardingLossOnValuationOfInvestmentSecuritiesTextBlock" xlink:to="jpcrp030000-asr_E04514-000_NotesRegardingLossOnValuationOfInvestmentSecuritiesTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_NotesRegardingLossOnValuationOfInvestmentSecuritiesTextBlock" xlink:to="jpcrp030000-asr_E04514-000_NotesRegardingLossOnValuationOfInvestmentSecuritiesTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_OgawaShinsukeMember" xlink:to="jpcrp030000-asr_E04514-000_OgawaShinsukeMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_OgawaShinsukeMember" xlink:to="jpcrp030000-asr_E04514-000_OgawaShinsukeMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_OnoHiromichiMember" xlink:to="jpcrp030000-asr_E04514-000_OnoHiromichiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_OnoHiromichiMember" xlink:to="jpcrp030000-asr_E04514-000_OnoHiromichiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_OtherFixedAssetPPE" xlink:to="jpcrp030000-asr_E04514-000_OtherFixedAssetPPE_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_OtherFixedAssetPPE" xlink:to="jpcrp030000-asr_E04514-000_OtherFixedAssetPPE_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_ProceedsFromCompensationForDamageOpeCF" xlink:to="jpcrp030000-asr_E04514-000_ProceedsFromCompensationForDamageOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_ProceedsFromCompensationForDamageOpeCF" xlink:to="jpcrp030000-asr_E04514-000_ProceedsFromCompensationForDamageOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_ProvisionForContractLossInRegardsToApplianceWarrantiesNCL" xlink:to="jpcrp030000-asr_E04514-000_ProvisionForContractLossInRegardsToApplianceWarrantiesNCL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_ProvisionForContractLossInRegardsToApplianceWarrantiesNCL" xlink:to="jpcrp030000-asr_E04514-000_ProvisionForContractLossInRegardsToApplianceWarrantiesNCL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation2MetricsAndTargetsClimateChange" xlink:to="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation2MetricsAndTargetsClimateChange_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation2MetricsAndTargetsClimateChange" xlink:to="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation2MetricsAndTargetsClimateChange_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation2MetricsAndTargetsHumanCapital" xlink:to="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation2MetricsAndTargetsHumanCapital_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation2MetricsAndTargetsHumanCapital" xlink:to="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation2MetricsAndTargetsHumanCapital_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation3MetricsAndTargetsHumanCapital" xlink:to="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation3MetricsAndTargetsHumanCapital_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation3MetricsAndTargetsHumanCapital" xlink:to="jpcrp030000-asr_E04514-000_ReferenceToOtherInformation3MetricsAndTargetsHumanCapital_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_ReferenceToOtherInformationMetricsAndTargetsClimateChange" xlink:to="jpcrp030000-asr_E04514-000_ReferenceToOtherInformationMetricsAndTargetsClimateChange_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_ReferenceToOtherInformationMetricsAndTargetsClimateChange" xlink:to="jpcrp030000-asr_E04514-000_ReferenceToOtherInformationMetricsAndTargetsClimateChange_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_ReferenceToOtherInformationMetricsAndTargetsHumanCapital" xlink:to="jpcrp030000-asr_E04514-000_ReferenceToOtherInformationMetricsAndTargetsHumanCapital_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_ReferenceToOtherInformationMetricsAndTargetsHumanCapital" xlink:to="jpcrp030000-asr_E04514-000_ReferenceToOtherInformationMetricsAndTargetsHumanCapital_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_SasayamaShinichiMember" xlink:to="jpcrp030000-asr_E04514-000_SasayamaShinichiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_SasayamaShinichiMember" xlink:to="jpcrp030000-asr_E04514-000_SasayamaShinichiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_SegmentProfitLossSegmentInformation" xlink:to="jpcrp030000-asr_E04514-000_SegmentProfitLossSegmentInformation_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_SegmentProfitLossSegmentInformation" xlink:to="jpcrp030000-asr_E04514-000_SegmentProfitLossSegmentInformation_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_SekiguchiHiroyukiMember" xlink:to="jpcrp030000-asr_E04514-000_SekiguchiHiroyukiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_SekiguchiHiroyukiMember" xlink:to="jpcrp030000-asr_E04514-000_SekiguchiHiroyukiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_ShareOfProfitLossOfInvestmentsAccountedForUsingEquityMethod" xlink:to="jpcrp030000-asr_E04514-000_ShareOfProfitLossOfInvestmentsAccountedForUsingEquityMethod_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_ShareOfProfitLossOfInvestmentsAccountedForUsingEquityMethod" xlink:to="jpcrp030000-asr_E04514-000_ShareOfProfitLossOfInvestmentsAccountedForUsingEquityMethod_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_StrategyClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E04514-000_StrategyClimateChangeTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_StrategyClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E04514-000_StrategyClimateChangeTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_StrategyHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E04514-000_StrategyHumanCapitalTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_StrategyHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E04514-000_StrategyHumanCapitalTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_TannowaTsutomuMember" xlink:to="jpcrp030000-asr_E04514-000_TannowaTsutomuMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_TannowaTsutomuMember" xlink:to="jpcrp030000-asr_E04514-000_TannowaTsutomuMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_UchidaTakashiMember" xlink:to="jpcrp030000-asr_E04514-000_UchidaTakashiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_UchidaTakashiMember" xlink:to="jpcrp030000-asr_E04514-000_UchidaTakashiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_UrbanDevelopmentBusinessReportableSegmentMember" xlink:to="jpcrp030000-asr_E04514-000_UrbanDevelopmentBusinessReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_UrbanDevelopmentBusinessReportableSegmentMember" xlink:to="jpcrp030000-asr_E04514-000_UrbanDevelopmentBusinessReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_WorkConsignmentExpensesSGA" xlink:to="jpcrp030000-asr_E04514-000_WorkConsignmentExpensesSGA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_WorkConsignmentExpensesSGA" xlink:to="jpcrp030000-asr_E04514-000_WorkConsignmentExpensesSGA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_YamamuraMasayukiMember" xlink:to="jpcrp030000-asr_E04514-000_YamamuraMasayukiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_YamamuraMasayukiMember" xlink:to="jpcrp030000-asr_E04514-000_YamamuraMasayukiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_YoshitakaMariMember" xlink:to="jpcrp030000-asr_E04514-000_YoshitakaMariMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04514-000_YoshitakaMariMember" xlink:to="jpcrp030000-asr_E04514-000_YoshitakaMariMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:to="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_RestatedBalance" xlink:to="jppfs_cor_RestatedBalance_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
  </link:labelLink>
</link:linkbase>